/*********************************************************************
 * The Initial Developer of the content of this file is NETCONOMY.
 * All portions of the code written by NETCONOMY are property of
 * NETCONOMY. All Rights Reserved.
 *
 * NETCONOMY Software & Consulting GmbH
 * Hilmgasse 4, A-8010 Graz (Austria)
 * FN 204360 f, Landesgericht fuer ZRS Graz
 * Tel: +43 (316) 815 544
 * Fax: +43 (316) 815544-99
 * www.netconomy.net
 *
 * (c) 2022 by NETCONOMY Software & Consulting GmbH
 ********************************************************************/
@use 'shop/resources/scss/base/constants/colors';
@use 'shop/resources/scss/base/mixins/typography';

.root {
    display: flex;
    flex-direction: column;
}

.list {
    display: flex;
    flex-shrink: 0;
    border-bottom: 1px solid colors.$color-black;
}

.trigger {
    @include typography.text;
    @include typography.font(medium);

    display: flex;
    flex: 1;
    align-items: center;
    justify-content: center;
    padding: 0 20px;
    height: 50px;
    color: colors.$color-black;

    &[data-state='active'] {
        box-shadow: inset 0 -1px 0 0 currentColor, 0 1px 0 0 currentColor;
    }
    &:focus {
        position: relative;
        box-shadow: 0 0 0 2px colors.$color-black;
    }
}

.content {
    @include typography.text(small);
    padding: 20px 0;
    outline: none;

    &:focus {
        box-shadow: 0 0 0 2px colors.$color-black;
    }
}
